Get VM Operation
curl --request GET \
--url https://api.mkinf.io/v0.1/projects/{projectId}/vms/operations/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mkinf.io/v0.1/projects/{projectId}/vms/operations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mkinf.io/v0.1/projects/{projectId}/vms/operations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"operation_id": "2d8fde0c-4115-462c-9bf3-547d6dae1555",
"state": "SUCCEEDED",
"metadata": {
"operation_name": "CREATE",
"id": "b3e571f6-c87d-4135-8081-ab219e92544e",
"type": "vm",
"request": {}
},
"result": {},
"started_at": "2024-06-16T15:52:41Z",
"completed_at": "2024-06-16T15:52:53Z"
}Operations
Get VM Operation
Get a VM operation
GET
/
projects
/
{projectId}
/
vms
/
operations
/
{id}
Get VM Operation
Get detailed information about a specific VM operation, including its status and results.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I